<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
?>

<h2>
	<?php _e( 'Shipmate Packaging Options', 'woocommerce' ); ?>
	<?php echo wc_help_tip( __( 'Packaging Options allows you to choose various Packaging Types that you have set up in your Shipmate account, to allow pre-populated dimensions to be used when creating a Order through Shipmate. Thereby reducing the amount of data you need to enter in the creation process.', 'woocommerce' ) ); ?>
</h2>


<?php if(!empty($packaging_option->types)) { ?>
	<p>
		Your default packaging type is 
		<?php foreach($packaging_option->types as $packaging_type) { ?>
			<?php if($packaging_type->id == $packaging_option->option->default_packaging_type_id) { ?>
				<b><?php echo($packaging_type->name) ?></b>. 
			<?php } ?>	
		<?php } ?>

	</p>
	<p>
		<?php if($packaging_option->option->packaging_dimension_override) { ?>
			Your packaging options on your Shipmate account has been set up to <b>allow</b> package dimension override. This means when you create a new order using the Shipmate plugin you will have pre-populated values in the parcel dimension fields, but you <b>can</b> manually change any of these fields or select another packaging type.
		<?php } else { ?>
			Your packaging options on your Shipmate account has been set up to <b>not allow</b> package dimension override. This means when your create a new order using the Shipmate plugin you will have pre-populated values in the parcel dimension fields, but you <b>cannot</b> manually change any of these fields. You <b>can</b> only select another packaging type. 
		<?php } ?>
	</p>
	<p>
<?php } else { ?>
	<p>Your account does not have any packaging options setup.</p>


<?php } ?>
	<?php if(get_option('shipmate_is_live', false)) { ?>
		If you would like to create/update any of your packaging types, change your default packaging type or change your package dimension override then you can click this <a href="https://app.shipmate.co.uk/settings/packaging-options">link</a> to do so.
	<?php } else { ?>
		If you would like to create/update any of your packaging types, change your default packaging type or change your package dimension override then you can click this <a href="https://app-staging.shipmate.co.uk/settings/packaging-options">link</a> to do so.
	<?php } ?>
</p>






