<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
?>

<h2>
	<?php _e( 'Shipmate User Mapping', 'woocommerce' ); ?>
	<?php echo wc_help_tip( __( 'In order to print labels using WebPrint, you must link your Wordpress Users to a Shipmate User account that is signed in to the Windows Desktop Application.', 'woocommerce' ) ); ?>
</h2>

<table class="widefat">
	<thead>
		<tr>
			<th>WordPress User</th>
			<th>Shipmate User</th>
			<th></th>
		</tr>
	</thead>
	<tfoot>
		<?php foreach($wp_users as $wp_user) { ?>
		<?php $user_shipmate_id = get_user_meta($wp_user->ID, '_shipmate_user_id', true); ?>
		<tr>
			<td><?php echo $wp_user->user_nicename; ?> (<?php echo $wp_user->user_email; ?>)</td>
			<td>
				<select name="users[<?php echo $wp_user->ID; ?>]">
					<option value="">Not Assigned</option>
					<?php foreach($shipmate_users as $shipmate_user) { ?>
						<option value="<?php echo $shipmate_user->id; ?>"<?php echo $user_shipmate_id == $shipmate_user->id ? ' selected="selected"' : ''; ?>><?php echo $shipmate_user->name . ' (' . $shipmate_user->email . ')'; ?></option>
					<?php } ?>
				</select>
			</td>
			<td></td>
		</tr>
		<?php } ?>
	</tfoot>
</table>
